> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company



## OpenAPI

````yaml /openapi/document.json get /v2/documents/{document_id}/company/
openapi: 3.0.3
info:
  title: Yume API — Документы
  version: 1.0.0
  description: Шаблоны и генерация документов.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v2/documents/{document_id}/company/:
    get:
      tags:
        - company
      summary: Get company
      operationId: company_retrieve
      parameters:
        - in: path
          name: document_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentSign'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    DocumentSign:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        uuid:
          type: string
          format: uuid
          readOnly: true
        method:
          allOf:
            - $ref: '#/components/schemas/MethodEnum'
          minimum: 0
          maximum: 32767
        method_allowed:
          type: array
          items:
            type: integer
            maximum: 32767
            minimum: 0
        signer:
          allOf:
            - $ref: '#/components/schemas/Signer'
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/StatusToEnum'
          minimum: 0
          maximum: 32767
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        stages:
          type: array
          items:
            $ref: '#/components/schemas/DocumentSignStage'
          readOnly: true
      required:
        - created_at
        - id
        - signer
        - stages
        - updated_at
        - uuid
    MethodEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Вручную
        * `1` - sms
        * `2` - eGov
    Signer:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        phone:
          type: string
          nullable: true
          maxLength: 32
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        type:
          $ref: '#/components/schemas/SignerTypeEnum'
        outer_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
      required:
        - id
        - name
    StatusToEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: |-
        * `0` - черновик
        * `1` - готово
        * `2` - просмотр
        * `3` - подтверждение
        * `4` - отклонено
        * `5` - подписано
    DocumentSignStage:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        status_from:
          allOf:
            - $ref: '#/components/schemas/StatusToEnum'
          minimum: 0
          maximum: 32767
        status_to:
          allOf:
            - $ref: '#/components/schemas/StatusToEnum'
          minimum: 0
          maximum: 32767
        created_at:
          type: string
          format: date-time
          readOnly: true
        meta: {}
      required:
        - created_at
        - id
        - status_from
        - status_to
    SignerTypeEnum:
      enum:
        - company
        - client
      type: string
      description: |-
        * `company` - Компания
        * `client` - Клиент
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````